import os
from enum import Enum

from django.conf import settings


class ChoiceEnum(Enum):
    @classmethod
    def choices(cls):
        return tuple((x.name, x.value) for x in cls)


def skyscrape_console(game_system_slug):
    scraper_config = settings.SCRAPER_CONFIG
    binary = scraper_config["bin_path"]
    site = scraper_config["site"]
    user = scraper_config["user"]
    password = scraper_config["pass"]
    threads = scraper_config["threads"]

    scrape_cmd = f"{binary} -s {site} -u {user}:{password} -t {threads} -f emulationstation -p {game_system_slug}"
    load_cmd = f"{binary} -f emulationstation -p {game_system_slug}"
    scrape_output = os.popen(scrape_cmd)
    load_output = os.popen(load_cmd)
    return scrape_output, load_output
